Bug 230584 - [WebIDL] Align property order of DOM constructors with ECMA-262 counterparts
Summary: [WebIDL] Align property order of DOM constructors with ECMA-262 counterparts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Trivial
Assignee: Alexey Shvayka
URL:
Keywords: InRadar
Depends on: 228763
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-21 16:28 PDT by Alexey Shvayka
Modified: 2021-09-30 09:10 PDT (History)
28 users (show)

See Also:


Attachments
Patch (145.61 KB, patch)
2021-09-25 13:09 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (145.02 KB, patch)
2021-09-25 21:37 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (145.72 KB, patch)
2021-09-26 00:25 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (132.05 KB, patch)
2021-09-27 17:47 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (132.08 KB, patch)
2021-09-28 05:59 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexey Shvayka 2021-09-25 13:09:42 PDT
Created attachment 439269 [details]
Patch
Comment 2 EWS Watchlist 2021-09-25 13:10:55 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Alexey Shvayka 2021-09-25 21:37:27 PDT
Created attachment 439283 [details]
Patch

Bring back [LegacyFactoryFunctionEnabledBySetting] attribute and attempt to fix WPE build by exporting constructor's finishCreation() methods.
Comment 4 Alexey Shvayka 2021-09-26 00:25:43 PDT
Created attachment 439291 [details]
Patch

Attempt to fix WPE build by populating TestWebCore_LIBRARIES.
Comment 5 Radar WebKit Bug Importer 2021-09-27 10:18:29 PDT
<rdar://problem/83579181>
Comment 6 Alexey Shvayka 2021-09-27 17:47:01 PDT
Created attachment 439420 [details]
Patch

Abolish calling into InternalFunction::finishCreation(VM&, unsigned length, const String& name) and instead merely reorder properties.
Comment 7 Alexey Shvayka 2021-09-28 05:59:15 PDT
Created attachment 439464 [details]
Patch

Fix: don't overwrite "length" that was defined via [LegacyFactoryFunctionEnabledBySetting] attribute
Comment 8 EWS 2021-09-29 10:17:12 PDT
Committed r283233 (242275@main): <https://commits.webkit.org/242275@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 439464 [details].
Comment 9 Alexey Shvayka 2021-09-30 09:10:03 PDT
Thank you for review, Alex!